Subject: Re: [Q] Encrypted GIT?

From: Thomas Harning <[email-masked]>
Date: Thu, 13 Mar 2008 12:10:27 -0400

On Thu, 13 Mar 2008 11:48:53 +0300
"Alexander Gladysh" <[email-masked]> wrote:

> Hi, list!
> 
> I want to create a private GIT repo (without working copy) on a
> machine in external data-center. While I do not actually believe that
> it is possible that someone who has physical access to a machine would
> be interested in peeking into my repo, I'd like to play safe and to
> have this issue covered.
> 
> Please advise what is the best way to do it. Are there any existing
> solutions?
> 
Potential solution to store arbitrary data in a safe manner:

mkdir remote_git_raw remote_git
sshfs <data-center>:<path @ datacenter> $PWD/remote_git_raw
encfs $PWD/remote_git_raw $PWD/remote_git

This will lock your data in a remote encfs volume.  (Uses FUSE)

Not quite sure about the implications on performance... but this will
certainly keep your data safe on that remote location.